Subject: [MBONED] MBoned: Re: WG Review: L3VPN Service Model (l3sm)

From: Toerless Eckert <[email-masked]>
Date: Fri, 6 Mar 2015 08:54:56 -0800

Any thoughts on this ? Anybody from mboned planning to contribute to
this work to ensure that L3VPN multicast would be represented in the
data model created ?

In-Reply-To: <[email-masked]>

On Fri, Mar 06, 2015 at 08:36:44AM -0800, The IESG wrote:
> From: The IESG <[email-masked]>
> To: IETF-Announce <[email-masked]>
> Subject: 
> 
> A new IETF working group has been proposed in the Operations and
> Management Area. The IESG has not made any determination yet. The
> following draft charter was submitted, and is provided for informational
> purposes only. Please send your comments to the IESG mailing list (iesg
> at ietf.org) by 2015-03-16.
> 
> L3VPN Service Model  (l3sm)
> ------------------------------------------------
> Current Status: Proposed WG
> 
> Assigned Area Director:
>   Benoit Claise <[email-masked]>
> 
> 
> Charter:
> 
> The IETF and the industry in general is currently specifying a set of
> YANG models for network element and protocol configuration. This is an
> essential first step, but the end goal is full system configuration that
> allows the deployment of services across networks. Services are built
> from a combination of network element and protocol configuration, but are
> specified to service users in more abstract terms.
> 
> The Layer Three Virtual Private Network Service Model (L3SM) working
> group is a short-lived WG tasked to create a YANG data model that
> describes a L3VPN service (a L3VPN service model) that can be used for
> communication between customers and network operators, and to provide
> input to automated control and configuration applications.
> 
> It needs to be clearly understood that this L3VPN service model is not an
> L3VPN configuration model. That is, it does not provide details for
> configuring network elements or protocols. Instead it contains the
> characteristics of the service, as discussed between the operators and
> their customers. A separate process is responsible for mapping this
> service model onto the protocols and network elements depending on how
> the network operator chooses to realise the service.
> 
> The deliverable from this working group will provide information to
> evaluate the set of YANG models that have already been developed or are
> under development, and will help identify any missing models or details. 
> The deliverable can be viewed as driving requirements for protocol
> configuration model so that the service parameters can be mapped into
> inputs used by the protocol models.
> 
> It is hoped that this working group will provide evidence that such
> service models can be quickly constructed and agreed upon. If successful,
> further service models may be developed in other working groups
> 
> The working group should consider draft-l3vpn-service-yang as a starting
> point.
> 
> Milestones:
>   Jan 2016 - L3VPN Service (YANG) Model to the IESG for publication as
> Proposed Standard RFC
>   Jan 2016 - Close the working group

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 6 Mar 2015 13:27:49 -0500

[note I am only subscribed to mboned and may have missed related comments
elsewhere.]

Toerless,

> this work to ensure that L3VPN multicast would be represented in the

FWIW, I'd ask Benoit for clarification on what he's including in l3vpn.  It
may be possible that he's targeting *unicast* l3vpn only and had not
considered multicast l3vpn.  I've copied Benoit for that clarification.

For my part, I consider the two problems to be of completely different
levels of service complexity and while we probably want to try to leverage
similar components in the service models as possible, they may not have
many.

-- Jeff

---

From: Benoit Claise <[email-masked]>
Date: Wed, 18 Mar 2015 16:11:49 +0100

Jeff,
> considered multicast l3vpn.
It's not what I'm targeting or not, it's more about the type of 
questions operators ask to their customers when enabling services.
Note that I see multicast services in 
http://datatracker.ietf.org/doc/draft-l3vpn-service-yang/

Regards, Benoit
> I've copied Benoit for that clarification.
>
> .